<div class="application-dialog">

  <mat-toolbar>
    <span>Formularz wniosku</span>
    <span class="fill-remaining-space"></span>
    <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
      <mat-icon matTooltip="Zamknij">clear</mat-icon>
    </button>
  </mat-toolbar>

  <form [formGroup]="applicationForm" (submit)="onSend()">

    <div fxLayout="column">
      <mat-form-field>
        <input matInput formControlName="title" placeholder="Tytuł wniosku" required>
        <mat-error>Tytuł wniosku jest wymagany.</mat-error>
      </mat-form-field>

      <mat-form-field>
        <mat-select formControlName="targetDepartment" placeholder="Dział"
                    [value]="applicationForm.get('targetDepartment').value">
          <mat-option *ngFor="let department of (departments$ | async)"
                      value="{{department?.id}}">
            {{department.name}}
          </mat-option>
        </mat-select>
        <mat-hint>Wybierz dział firmy do którego składany wniosek ma trafić.</mat-hint>
        <mat-error>Dział do którego trafić ma wniosek jest wymagany.</mat-error>
      </mat-form-field>

      <mat-form-field>
        <textarea matInput formControlName="text" placeholder="Opisz cel wniosku..." required></textarea>
        <mat-hint>Opisz w tym miejscu, jaki jest cel składanego wniosku, np. w przypadku wniosku o dofinansowanie na
          szkolenie, uzasadnij dlaczego może ono przydać się Twojej firmie.
        </mat-hint>
        <mat-error>Cel wniosku jest wymagany.</mat-error>
      </mat-form-field>

      <mat-form-field>
        <input matInput formControlName="amount" placeholder="Kwota" optional>
        <mat-hint>Jeżeli wnioskujesz o pieniądze, podaj w tym polu kwotę o którą prosisz.</mat-hint>
      </mat-form-field>

    </div>

    <div class="button-row mt-1">
      <button mat-raised-button color="primary" type="submit" [disabled]="applicationForm.invalid">
        Zapisz
      </button>
      <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
    </div>

  </form>
</div>
